Bug 246407 - devel/py-yaml: Convert to options helper
Summary: devel/py-yaml: Convert to options helper
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-11 21:17 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-05-17 18:13 UTC (History)
0 users

See Also:
jpaetzel: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-11 21:17:51 UTC
Convert to options helper

- Use USE_PYTHON=concurrent instead of setting EXAMPLESDIR manually
- Sort PLIST

Patch: https://people.FreeBSD.org/~sunpoet/patch/devel-py-yaml.txt
Comment 1 Josh Paetzel freebsd_committer 2020-05-14 14:22:23 UTC
Approved
Comment 2 commit-hook freebsd_committer 2020-05-16 11:05:38 UTC
A commit references this bug:

Author: sunpoet
Date: Sat May 16 11:04:56 UTC 2020
New revision: 535460
URL: https://svnweb.freebsd.org/changeset/ports/535460

Log:
  Convert to options helper

  - Use USE_PYTHON=concurrent instead of setting EXAMPLESDIR manually
  - Sort PLIST

  PR:		246407
  Submitted by:	sunpoet (myself)
  Approved by:	jpaetzel (maintainer)

Changes:
  head/devel/py-yaml/Makefile
  head/devel/py-yaml/pkg-plist
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-17 18:13:48 UTC
Committed. Thanks!